# Visualization
TKMeshVS
MeshVS

# MeshVS_MeshOwner Class Reference

The custom mesh owner used for advanced mesh selection. This class provides methods to store information:
1) IDs of hilighted mesh nodes and elements
2) IDs of mesh nodes and elements selected on the mesh
.

`#include <MeshVS_MeshOwner.hxx>`

Inheritance diagram for MeshVS_MeshOwner:

[legend]

## Public Member Functions

Standard_EXPORT | MeshVS_MeshOwner (const SelectMgr_SOPtr &theSelObj, const Handle(MeshVS_DataSource)&theDS, const Standard_Integer thePriority=0)
Standard_EXPORT const Handle_MeshVS_DataSource & | GetDataSource () const
Standard_EXPORT const Handle_TColStd_HPackedMapOfInteger & | GetSelectedNodes () const
| Returns ids of selected mesh nodes .
Standard_EXPORT const Handle_TColStd_HPackedMapOfInteger & | GetSelectedElements () const
| Returns ids of selected mesh elements .
Standard_EXPORT void | AddSelectedEntities (const Handle(TColStd_HPackedMapOfInteger)&Nodes, const Handle(TColStd_HPackedMapOfInteger)&Elems)
| Saves ids of selected mesh entities .
Standard_EXPORT void | ClearSelectedEntities ()
| Clears ids of selected mesh entities .
Standard_EXPORT const Handle_TColStd_HPackedMapOfInteger & | GetDetectedNodes () const
| Returns ids of hilighted mesh nodes .
Standard_EXPORT const Handle_TColStd_HPackedMapOfInteger & | GetDetectedElements () const
| Returns ids of hilighted mesh elements .
Standard_EXPORT void | SetDetectedEntities (const Handle(TColStd_HPackedMapOfInteger)&Nodes, const Handle(TColStd_HPackedMapOfInteger)&Elems)
| Saves ids of hilighted mesh entities .
virtual Standard_EXPORT void | HilightWithColor (const Handle(PrsMgr_PresentationManager3d)&PM, const Quantity_NameOfColor theColor, const Standard_Integer Mode=0)
virtual Standard_EXPORT void | Unhilight (const Handle(PrsMgr_PresentationManager)&PM, const Standard_Integer Mode=0)
| Removes highlighting from the owner of a detected selectable object in the presentation manager aPM. This object could be the owner of a sensitive primitive. The display mode for the highlight is aMode; this has the default value of 0, that is, wireframe mode. .
virtual Standard_EXPORT Standard_Boolean | IsForcedHilight () const
| if this method returns TRUE the owner will allways call method Hilight for SelectableObject when the owner is detected. By default it always return FALSE.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_MeshVS_DataSource | myDataSource
Handle_TColStd_HPackedMapOfInteger | mySelectedNodes
Handle_TColStd_HPackedMapOfInteger | mySelectedElems
Handle_TColStd_HPackedMapOfInteger | myDetectedNodes
Handle_TColStd_HPackedMapOfInteger | myDetectedElems
Standard_Integer | myLastID

## Constructor & Destructor Documentation

Standard_EXPORT MeshVS_MeshOwner::MeshVS_MeshOwner | ( | const SelectMgr_SOPtr & | theSelObj,
|  | const Handle(MeshVS_DataSource)& | theDS,
|  | const Standard_Integer | thePriority = `0`
| ) |

## Member Function Documentation

Standard_EXPORT void MeshVS_MeshOwner::AddSelectedEntities | ( | const Handle(TColStd_HPackedMapOfInteger)& | Nodes,
|  | const Handle(TColStd_HPackedMapOfInteger)& | Elems
| ) |

Standard_EXPORT void MeshVS_MeshOwner::ClearSelectedEntities | ( |  | ) |

Standard_EXPORT const Handle_MeshVS_DataSource& MeshVS_MeshOwner::GetDataSource | ( |  | ) | const

Standard_EXPORT const Handle_TColStd_HPackedMapOfInteger& MeshVS_MeshOwner::GetDetectedElements | ( |  | ) | const

Standard_EXPORT const Handle_TColStd_HPackedMapOfInteger& MeshVS_MeshOwner::GetDetectedNodes | ( |  | ) | const

Standard_EXPORT const Handle_TColStd_HPackedMapOfInteger& MeshVS_MeshOwner::GetSelectedElements | ( |  | ) | const

Standard_EXPORT const Handle_TColStd_HPackedMapOfInteger& MeshVS_MeshOwner::GetSelectedNodes | ( |  | ) | const

Standard_EXPORT const MeshVS_MeshOwner::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from SelectMgr_EntityOwner.

virtual Standard_EXPORT void MeshVS_MeshOwner::HilightWithColor | ( | const Handle(PrsMgr_PresentationManager3d)& | PM,
|  | const Quantity_NameOfColor | theColor,
|  | const Standard_Integer | Mode = `0`
| ) | `[virtual]`

| Reimplemented from SelectMgr_EntityOwner.

virtual Standard_EXPORT Standard_Boolean MeshVS_MeshOwner::IsForcedHilight | ( |  | ) | const`[virtual]`

| Reimplemented from SelectMgr_EntityOwner.

Standard_EXPORT void MeshVS_MeshOwner::SetDetectedEntities | ( | const Handle(TColStd_HPackedMapOfInteger)& | Nodes,
|  | const Handle(TColStd_HPackedMapOfInteger)& | Elems
| ) |

virtual Standard_EXPORT void MeshVS_MeshOwner::Unhilight | ( | const Handle(PrsMgr_PresentationManager)& | PM,
|  | const Standard_Integer | Mode = `0`
| ) | `[virtual]`

| Reimplemented from SelectMgr_EntityOwner.

## Field Documentation

Handle_MeshVS_DataSource MeshVS_MeshOwner::myDataSource `[private]`

Handle_TColStd_HPackedMapOfInteger MeshVS_MeshOwner::myDetectedElems `[private]`

Handle_TColStd_HPackedMapOfInteger MeshVS_MeshOwner::myDetectedNodes `[private]`

Standard_Integer MeshVS_MeshOwner::myLastID `[private]`

Handle_TColStd_HPackedMapOfInteger MeshVS_MeshOwner::mySelectedElems `[private]`

Handle_TColStd_HPackedMapOfInteger MeshVS_MeshOwner::mySelectedNodes `[private]`

The documentation for this class was generated from the following file:

- MeshVS_MeshOwner.hxx